"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateBrokerTypeMiddleware = void 0;
const logger = require("../log");
const config = require("../config");
const validateBrokerTypeMiddleware = (req, res, next) => {
    const localConfig = config;
    if (localConfig.brokerServerUniversalConfigEnabled &&
        !(req === null || req === void 0 ? void 0 : req.headers['x-snyk-broker-type'])) {
        const logContext = { url: req.url, headers: req.headers };
        logger.warn({ logContext }, 'Error: Request does not contain the x-snyk-broker-type header');
        // Will eventually return an error when all services will have this enabled
        // return res.status(400).json({ error: 'Missing x-broker-type header' });
    }
    next(); // Passes the request to the next middleware
};
exports.validateBrokerTypeMiddleware = validateBrokerTypeMiddleware;
//# sourceMappingURL=broker-middleware.js.map